import pprint
import dnd5etools.db.spells
import dnd5etools.scripts.argparse


def main():
    args = dnd5etools.scripts.argparse.build_argument_parser(
        "Summarizes spell templates",
    ).parse_args()
    db = dnd5etools.db.spells.SpellsDb(args.data_dir)
    if args.source_code is None:
        codes = list(db.db_index.source_index.keys())
    else:
        codes = args.source_code
    for code in codes:
        spell_list = db.get_spell_list(code)
        # pprint.pprint(spell_list.spells)
        print(f"Found {len(spell_list.spells)} spells")
